%define module_name CGI-Info
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Untaint.pm) perl(CHI.pm) perl(Carp.pm) perl(Class/Autouse.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(HTTP/BrowserDetect.pm) perl(IPC/System/Simple.pm) perl(JSON/Parse.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(Log/Any.pm) perl(Socket.pm) perl(String/Clean/XSS.pm) perl(String/EscapeCage.pm) perl(Sys/Hostname.pm) perl(Sys/Path.pm) perl(Test/CleanNamespaces.pm) perl(Test/Distribution.pm) perl(Test/Exception.pm) perl(Test/Kwalitee.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Metrics/Simple.pm) perl(Test/Script.pm) perl(Test/Warn.pm) perl(Tie/Filehandle/Preempt/Stdin.pm) perl(URI/Heuristic.pm) perl(autodie.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.69
Release: alt1
Summary: Information about the CGI environment
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NH/NHORNE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
All too often Perl programs have information such as the script's name
hard-coded into their source.
Generally speaking, hard-coding is bad style since it can make programs
difficult to read and it reduces readability and portability.
CGI::Info attempts to remove that.

Furthermore, to aid script debugging, CGI::Info attempts to do sensible
things when you're not running the program in a CGI environment.

    use CGI::Info;
    my $info = CGI::Info->new();

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md ignore.txt Changes README
%perl_vendor_privlib/C*

%changelog
* Sun Mar 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.69-alt1
- updated by package builder

* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.68-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.67-alt1
- regenerated from template by package builder

* Sat Oct 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.64-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.63-alt1
- regenerated from template by package builder

* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.62-alt1
- regenerated from template by package builder

* Mon Dec 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.61-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.59-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.58-alt1
- regenerated from template by package builder

* Mon Oct 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.57-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1
- regenerated from template by package builder

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.49-alt1
- regenerated from template by package builder

* Mon Oct 27 2014 Igor Vlasenko <viy@altlinux.ru> 0.48-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.47-alt1
- regenerated from template by package builder

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.45-alt1
- initial import by package builder

